Option | Description | Values | Default
--- | --- | --- | ---
sortParamsByRequiredFlag | Sort method arguments to place required parameters before optional parameters. |  | true
sortModelPropertiesByRequiredFlag | Sort model properties to place required parameters before optional parameters. |  | true
ensureUniqueParams | Whether to ensure parameter names are unique in an operation (rename parameters that are not). |  | true
allowUnicodeIdentifiers | boolean, toggles whether unicode identifiers are allowed in names or not, default is false |  | false
prependFormOrBodyParameters | Add form or body parameters to the beginning of the parameter list. |  | false
browserClient | Is the client browser based (for Dart 1.x only) |  | null
pubName | Name in generated pubspec |  | null
pubVersion | Version in generated pubspec |  | null
pubDescription | Description in generated pubspec |  | null
pubAuthor | Author name in generated pubspec |  | null
pubAuthorEmail | Email address of the author in generated pubspec |  | null
pubHomepage | Homepage in generated pubspec |  | null
useEnumExtension | Allow the 'x-enum-values' extension for enums |  | null
sourceFolder | Source folder for generated code |  | null
supportDart2 | Support Dart 2.x (Dart 1.x support has been deprecated) |  | true
nullableFields | Is the null fields should be in the JSON payload |  | null
serialization | Choose serialization format JSON or PROTO is supported |  | null

##
IMPORT MAPPING

Type/Alias | Imports
--- | ---

##
INSTANTIATION TYPES

Type/Alias | Instantiated By
--- | ---
array | List
map | Map

##
LANGUAGE PRIMITIVES

- bool
- double
- num
- String
- int

##
RESERVED WORDS

- do
- source
- while
- operator
- required
- patch
- late
- continue
- else
- function
- dynamic
- catch
- export
- if
- case
- new
- static
- void
- in
- var
- finally
- this
- is
- sync
- typedef
- enum
- covariant
- mixin
- as
- external
- extends
- null
- final
- true
- try
- implements
- deferred
- extension
- const
- import
- part
- for
- show
- interface
- out
- switch
- default
- library
- native
- assert
- get
- of
- yield
- await
- class
- on
- rethrow
- factory
- set
- break
- false
- abstract
- super
- async
- with
- hide
- inout
- throw
- return

Last updated on 1/9/2020